Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionMeta_ Struct Reference

Instruction meta info. More...

`#include <DecoderTypes.h>`

## Data Fields
ZydisInstructionCategory | category
| The instruction category.
ZydisISASet | isa_set
| The ISA-set.
ZydisISAExt | isa_ext
| The ISA-set extension.
ZydisBranchType | branch_type
| The branch type.
ZydisExceptionClass | exception_class
| The exception class.

## Detailed Description

Instruction meta info.

## Field Documentation

## ◆ branch_type

ZydisBranchType branch_type

The branch type.

## ◆ category

ZydisInstructionCategory category

The instruction category.

## ◆ exception_class

ZydisExceptionClass exception_class

The exception class.

## ◆ isa_ext

ZydisISAExt isa_ext

The ISA-set extension.

## ◆ isa_set

ZydisISASet isa_set

The ISA-set.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h